Skip to main content
PUT
/
api
/
v2
/
network
/
affiliates
/
{affiliate_id}
/
postbacks
/
{id}
Update postback
curl --request PUT \
  --url https://{domain}/api/v2/network/affiliates/{affiliate_id}/postbacks/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "id": 1,
  "affiliate_id": 1,
  "level_id": 1,
  "type": 1,
  "code": "string",
  "status": 1,
  "url": "https://example.com"
}
'
import requests

url = "https://{domain}/api/v2/network/affiliates/{affiliate_id}/postbacks/{id}"

payload = {
"id": 1,
"affiliate_id": 1,
"level_id": 1,
"type": 1,
"code": "string",
"status": 1,
"url": "https://example.com"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
affiliate_id: 1,
level_id: 1,
type: 1,
code: 'string',
status: 1,
url: 'https://example.com'
})
};

fetch('https://{domain}/api/v2/network/affiliates/{affiliate_id}/postbacks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {}
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "Validation error",
"success": false,
"info": {
"errors": {
"email": [
"Email cannot be blank."
],
"currency": [
"Currency must be a valid ISO code."
]
}
}
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Path Parameters

affiliate_id
integer
required

Affiliate ID.

id
integer
required

Postback ID.

Body

application/json
id
integer
required

Postback ID. Must match URL path {id}.

affiliate_id
integer
required

Affiliate ID.

level_id
integer

Postback level: 1=global, 2=offer, 3=goal.

type
integer

Postback type: 1=server, 2=iframe, 3=image.

code
string

Event code. E.g. "all" for all events.

status
integer

Status: 1=active, 2=disabled.

url
string
events
string[]
offer_id
integer
goal_id
integer

Response

Updated postback.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object